#include <cstdio>
#include <cstring>
#include <cassert>
#include <vector>

using namespace std;

const int N = 1e6;

int n, k;
char s[N];

inline int cmp(int a, int b){
	static bool u1[N], u2[N];
	memset(u1, 0, sizeof(bool) * n);
	memset(u2, 0, sizeof(bool) * n);
	for (; !u1[a] && !u2[b] && s[a] == s[b]; u1[a] = u2[b] = true, a = (a + k) % n, b = (b + k) % n);
	if (s[a] != s[b])
		return s[a] < s[b] ? -1 : 1;
	return 0;
}

int main(){
	assert(scanf("%d%d%s", &n, &k, s));
        k = (k % n + n) % n;
	assert(n == strlen(s));
	int index = 0;
        vector<int> ans;
        ans.push_back(index);
	for (int i = 1; i < n; i++){
		int c = cmp(i, index);
		if (c == -1)
			index = i, ans.clear(), ans.push_back(i);
		else if (c == 0)
			ans.push_back(i);
        }
	printf("%sinite\n", ans.size() == 1 ? "F" : "Inf");
	for (int i = 0; i < (int) ans.size(); i++)
		printf("%d ", ans[i] + 1);
	printf("\n");
	return 0;
}
