#include <cstdio>
#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

const int N = 1000 * 1000 + 10;

vector<int> g[N];
vector<int> od;
vector<bool> u;
int res[N];

void dfs(int v)
{
    u[v] = true;
    for (int i = 0; i < g[v].size(); i++)
    {
        int to = g[v][i];
        if (!u[to])
            dfs(to);
    }
    od.push_back(v);
}

int main()
{
    int a, b;
    cin >> a >> b;
    for (int i = 1; i <= a; i++)
        g[i].push_back(i - 1);
    for (int i = a; i < a + b; i++)
        g[i].push_back(i + 1);
    u.assign(a + b + 1, false);
    for (int i = 0; i < a + b + 1; i++)
        if (!u[i])
            dfs(i);
    for (int i = 0; i < a + b + 1; i++)
        res[od[i]] = i;
    for (int i = 0; i < a + b + 1; i++)
        cout << res[i] + 1 << " ";
    cout << "\n";

    return 0;
}
