#include "testlib.h"
using namespace std;
const int N = (int) 1e5;
int x[N], y[N], p[N], cnt = 0;

int main(int argc, char ** argv) {
	registerGen(argc, argv);
	int c = atoi(argv[1]);
	int h = atoi(argv[2]);
	int max_c = atoi(argv[3]);
	int barrier = (int) sqrt(max_c);
	printf("%d %d\n", max_c, max_c);
	printf("%d\n", c);
	for (int i = 0; i < c / 3; ++i) {
		x[cnt] = rnd.next(1, barrier), y[cnt] = rnd.next(1, max_c), p[cnt] = cnt, cnt++;
		x[cnt] = max_c - rnd.next(1, barrier), y[cnt] = rnd.next(1, max_c), p[cnt] = cnt, cnt++;
	}
	while (cnt < c)
		x[cnt] = rnd.next(1, max_c), y[cnt] = rnd.next(1, max_c), p[cnt] = cnt, cnt++;
	shuffle(p, p + c);
	for (int i = 0; i < c / 2; ++i)
		swap(x[p[i]], y[p[i]]);
	for (int i = 0; i < c; ++i)
		printf("%d %d\n", x[p[i]], y[p[i]]);
	printf("%d\n", h);
	for (int i = 0; i < h; ++i)
		printf("%d %d\n", rnd.next(-barrier, barrier) + max_c / 2, rnd.next(-barrier, barrier) + max_c / 2);
	return 0;
}