#include <iostream>
#include <cassert>
#include "testlib.h"
using namespace std;

const int max_n = 1000;
const int max_m = 1000;

int g[max_n + 1][max_n + 1];

int main () {
    registerValidation ();

    int n = inf.readInt(1, max_n);
    inf.readSpace();
    int m = inf.readInt(1, max_m);
    inf.readEoln();
    for (int i = 0; i < m; ++i) {
        int a = inf.readInt(1, n);
        inf.readSpace();
        int b = inf.readInt(1, n);
        inf.readEoln();
        assert(a != b);
        assert(g[a][b] == 0);
        g[a][b] = g[b][a] = 1;
    }
    inf.readEof();
    return 0;
}