#include <cstdio>
#include <cassert>
#include <deque>
#include <vector>
#include <queue>
#include <algorithm>
using namespace std;

const int M = 10500;

char ans[M];
int anspt = 0;

const int N = 12;
bool F[N][N];

int vx[] = {1, 0, -1, 0}, vy[] = {0, -1, 0, 1};
char L[] = "RULD";

const int K = 38;

int apt = 0;
pair<int, int> A[K];

int it = 0;
int was[N][N];
int D[N][N];
int p[N][N];

#define eprintf(...) fprintf(stderr, __VA_ARGS__)

deque<pair<int, int> > Q;

void print()
{
    return;
    for (int i = 1; i <= 10; i++)
    {
        for (int j = 1; j <= 10; j++)
            eprintf((make_pair(i, j) == A[apt]) ? "A" : (F[i][j]) ? "#" : ".");
        eprintf("\n");
    }
    eprintf("\n");
}

void go(int d)
{
    ans[anspt++] = L[d];
    pair<int, int> tl = Q.back();
    Q.pop_back();
    F[tl.first][tl.second] = 0;
    pair<int, int> hd = Q.front();
    hd.first += vy[d], hd.second += vx[d];
    F[hd.first][hd.second] = 1;
    Q.push_front(hd);
    if (F[A[apt].first][A[apt].second])
        Q.push_back(tl), F[tl.first][tl.second] = 1, apt++;
    print();
}


queue<pair<int, int> > QQ;

bool BFS(int sy, int sx, int ty, int tx)
{
    ++it;
    D[sy][sx] = 0;
    p[sy][sx] = -1;
    was[sy][sx] = it;
    while (!QQ.empty())
        QQ.pop();
    QQ.push(make_pair(sy, sx));
    while (!QQ.empty())
    {
        int y = QQ.front().first, x = QQ.front().second;
        QQ.pop();
        if (y == ty && x == tx)
            break;
        for (int v = 0; v < 4; v++)
        {
            int ry = y + vy[v], rx = x + vx[v];
            if (was[ry][rx] == it || F[ry][rx])
                continue;
            was[ry][rx] = it;
            p[ry][rx] = v;
            QQ.push(make_pair(ry, rx));
        }
    }
    return (was[ty][tx] == it);
}

int cur = 0;



int rndmove()
{
    pair<int, int> hd = Q.front();
    pair<int, int> tl = Q.back();
    vector<int> V;
    for (int v = 0; v < 4; v++)
    {
        pair<int, int> t = make_pair(hd.first + vy[v], hd.second + vx[v]);
        if (!F[t.first][t.second] || t == tl)
            V.push_back(v);
    }
    if (V.empty())
        assert(false); // return 2; // =(
    else
    {
        while (find(V.begin(), V.end(), cur) == V.end())
            cur = (cur + 1) & 3;
        return cur;
    }
}

int main()
{
    for (int i = 0; i < N; i++)
        F[i][0] = F[0][i] = F[11][i] = F[i][11] = 1;
    int k;
    scanf("%d", &k);
    for (int i = 0; i < k; i++)
        scanf("%d %d", &A[i].first, &A[i].second);
    Q.push_front(make_pair(1, 1));
    Q.push_front(make_pair(1, 2));
    Q.push_front(make_pair(1, 3));
    F[1][1] = F[1][2] = F[1][3] = 1;
    while (apt != k)
    {
        eprintf("%d\n", apt);
        if (!BFS(Q.front().first, Q.front().second, A[apt].first, A[apt].second))
            go(rndmove());
        else
        {
            vector<int> W;
            for (pair<int, int> pr(A[apt].first, A[apt].second); pr != Q.front(); pr = make_pair(pr.first + vy[2 ^ p[pr.first][pr.second]], pr.second + vx[2 ^ p[pr.first][pr.second]]))
                W.push_back(p[pr.first][pr.second]);
            for (int i = (int)W.size() - 1; i >= 0; i--)
                go(W[i]);
        }
    }
    printf("%d\n", anspt);
    ans[anspt] = 0;
    puts(ans);
    return 0;
}
